#------------------------------------------------------------------------------
#
#	Apple Macintosh Developer Technical Support
#
#	Program:	MoreFilesLib
#	File:		MoreFilesLib.make
#
#	Copyright  1996 Apple Computer, Inc.
#	All rights reserved.
#
#------------------------------------------------------------------------------

#	The three possible targets for this makefile
#
#	The default name is LibName and builds the 68K library
#	named MoreFilesLib.o
#
#	PowerPC library is named MoreFilesLib.PPC and is built with:
#		make -f MoreFilesLib.make MoreFilesLib.PPC
#
#	The "Fat" version isn't actually fat, it just builds both 68K and 
#		PowerPC versions.  Build it with:
#		make -f MoreFilesLib.make MoreFilesLib.FAT
#
LibName			=	'MoreFilesLib.o'
LibNamePPC		=	'MoreFilesLib.PPC'
LibNameFAT		=	'MoreFilesLib.FAT'

MoreFiles.hdrs	=   ":C Headers:"
projsrc			=	":Sources:"
obj				= 	:Objects:
objppc			= 	:ObjectsPPC:
libs			= 	:Libs:

DebugTarget		=	#(debug)
MacsBugSyms		=	-mbg off				# turn this on to debug 68K code with MacsBug or other low-level debuggers

#	SymOptions and OptOptions are mutually exclusive.  Enable as appropriate
SymOptions		=	-sym off				# turn this on to debug with SADE/R2Db
COptOptions		=	-opt on
PPCCOptOptions	=	-opt speed

IncludesFolders	=	-i {MoreFiles.hdrs}
COptions		=	{IncludesFolders} {SymOptions} {COptOptions} {MacsBugSyms} -r
PPCCOptions		=	{IncludesFolders} {SymOptions} {PPCCOptOptions} -w conformance -appleext on
LibOptions		=	{SymOptions}
LibOptionsPPC	=	-warn -xm l {SymOptions}

#------------------------------------------------------------------------------
# These are modified default build rules.  These allow us to build using both
# MPW C (68K) and PPCC (PowerPC) from the same set of sources
#------------------------------------------------------------------------------
{obj}				{projsrc}

.c.o				.c
	{C} {COptions} {CAltOptions} {DepDir}{Default}.c -o {TargDir}{Default}.c.o

{objppc}			{projsrc}

.o					.c
	PPCC {PPCCOptions} {DepDir}{Default}.c -o {TargDir}{Default}.o

#------------------------------------------------------------------------------
# These are the objects that we want to include in the library.
#------------------------------------------------------------------------------
LibObjects		=	
					{obj}DirectoryCopy.c.o 
					{obj}FileCopy.c.o 
					{obj}FSpCompat.c.o 
					{obj}FullPath.c.o 
					{obj}IterateDirectory.c.o 
					{obj}MoreDesktopMgr.c.o 
					{obj}MoreFiles.c.o 
					{obj}MoreFilesExtras.c.o 
					{obj}Search.c.o

LibObjectsPPC	=	
					{objppc}DirectoryCopy.o 
					{objppc}FileCopy.o 
					{objppc}FSpCompat.o 
					{objppc}FullPath.o 
					{objppc}IterateDirectory.o 
					{objppc}MoreDesktopMgr.o 
					{objppc}MoreFiles.o 
					{objppc}MoreFilesExtras.o 
					{objppc}Search.o

{LibNameFAT}		 {LibName} {LibNamePPC}

{LibName}			 {LibObjects}
	Lib {LibObjects} {LibOptions} -o "{libs}{Targ}{DebugTarget}"

{LibNamePPC}		 {LibObjectsPPC}
	PPCLink	{LibObjectsPPC} {LibOptionsPPC}	-o "{libs}{Targ}{DebugTarget}"
