#   File:       MenuScripter.make
#   Target:     MenuScripter
#   Sources:    :Sources:MenuScripter.r
#               :Sources:MenuScripterPPC.r
#               :Sources:MSAEScript.c
#               :Sources:MSAEUtils.c
#               :Sources:MSAppleEvents.c
#               :Sources:MSFile.c
#               :Sources:MSGlobals.c
#               :Sources:MSMain.c
#               :Sources:MSScript.c
#               :Sources:MSUtils.c
#               :Sources:MSWindow.c
#   Created:    Thursday, October 5, 1995 10:34:43 PM


MAKEFILE     = MenuScripter.make
MondoBuild = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
Includes     =
SymPPC      = 
ObjDirPPC   = :ObjectsPPC:
Sym68K      = 
ObjDir68K   = :Objects68K:

PPCCOptions  = {Includes} {SymPPC} -w conformance -appleext on 

COptions     = {Includes} {Sym68K} -warnings off

ObjectsPPC  = 
		"{ObjDirPPC}MSAEScript.c.x" 
		"{ObjDirPPC}MSAEUtils.c.x" 
		"{ObjDirPPC}MSAppleEvents.c.x" 
		"{ObjDirPPC}MSFile.c.x" 
		"{ObjDirPPC}MSGlobals.c.x" 
		"{ObjDirPPC}MSMain.c.x" 
		"{ObjDirPPC}MSScript.c.x" 
		"{ObjDirPPC}MSUtils.c.x" 
		"{ObjDirPPC}MSWindow.c.x"

Objects68K  = 
		"{ObjDir68K}MSAEScript.c.o" 
		"{ObjDir68K}MSAEUtils.c.o" 
		"{ObjDir68K}MSAppleEvents.c.o" 
		"{ObjDir68K}MSFile.c.o" 
		"{ObjDir68K}MSGlobals.c.o" 
		"{ObjDir68K}MSMain.c.o" 
		"{ObjDir68K}MSScript.c.o" 
		"{ObjDir68K}MSUtils.c.o" 
		"{ObjDir68K}MSWindow.c.o"


MenuScripter  {MondoBuild} {ObjectsPPC}
	PPCLink 
		-o {Targ} {SymPPC} 
		{ObjectsPPC} 
		-t 'APPL' 
		-c 'SVEd' 
		"{SharedLibraries}"InterfaceLib 
		"{SharedLibraries}"StdCLib 
		"{SharedLibraries}"ObjectSupportLib 
		"{SharedLibraries}"AppleScriptLib 
		"{PPCLibraries}"MathLib.xcoff 
		"{PPCLibraries}"StdCRuntime.o 
		"{PPCLibraries}"PPCCRuntime.o 
		"{PPCLibraries}"PPCToolLibs.o 
		-librename MathLib.xcoff=MathLib


MenuScripter  {MondoBuild} {Objects68K}
	Link 
		-o {Targ} -d {Sym68K} 
		{Objects68K} 
		-t 'APPL' 
		-c 'SVEd' 
		"{Libraries}"Runtime.o 
		"{Libraries}"Interface.o 
		"{Libraries}"AEObjectSupportLib.o


MenuScripter  {MondoBuild} :Sources:MenuScripter.r
	Rez :Sources:MenuScripter.r -o {Targ} {Includes} -append

MenuScripter  {MondoBuild} :Sources:MenuScripterPPC.r
	Rez :Sources:MenuScripterPPC.r -o {Targ} {Includes} -append


"{ObjDirPPC}MSAEScript.c.x"  {MondoBuild} :Sources:MSAEScript.c
	{PPCC} :Sources:MSAEScript.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSAEUtils.c.x"  {MondoBuild} :Sources:MSAEUtils.c
	{PPCC} :Sources:MSAEUtils.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSAppleEvents.c.x"  {MondoBuild} :Sources:MSAppleEvents.c
	{PPCC} :Sources:MSAppleEvents.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSFile.c.x"  {MondoBuild} :Sources:MSFile.c
	{PPCC} :Sources:MSFile.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSGlobals.c.x"  {MondoBuild} :Sources:MSGlobals.c
	{PPCC} :Sources:MSGlobals.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSMain.c.x"  {MondoBuild} :Sources:MSMain.c
	{PPCC} :Sources:MSMain.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSScript.c.x"  {MondoBuild} :Sources:MSScript.c
	{PPCC} :Sources:MSScript.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSUtils.c.x"  {MondoBuild} :Sources:MSUtils.c
	{PPCC} :Sources:MSUtils.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}MSWindow.c.x"  {MondoBuild} :Sources:MSWindow.c
	{PPCC} :Sources:MSWindow.c -o {Targ} {PPCCOptions}


"{ObjDir68K}MSAEScript.c.o"  {MondoBuild} :Sources:MSAEScript.c
	{C} :Sources:MSAEScript.c -o {Targ} {COptions}

"{ObjDir68K}MSAEUtils.c.o"  {MondoBuild} :Sources:MSAEUtils.c
	{C} :Sources:MSAEUtils.c -o {Targ} {COptions}

"{ObjDir68K}MSAppleEvents.c.o"  {MondoBuild} :Sources:MSAppleEvents.c
	{C} :Sources:MSAppleEvents.c -o {Targ} {COptions}

"{ObjDir68K}MSFile.c.o"  {MondoBuild} :Sources:MSFile.c
	{C} :Sources:MSFile.c -o {Targ} {COptions}

"{ObjDir68K}MSGlobals.c.o"  {MondoBuild} :Sources:MSGlobals.c
	{C} :Sources:MSGlobals.c -o {Targ} {COptions}

"{ObjDir68K}MSMain.c.o"  {MondoBuild} :Sources:MSMain.c
	{C} :Sources:MSMain.c -o {Targ} {COptions}

"{ObjDir68K}MSScript.c.o"  {MondoBuild} :Sources:MSScript.c
	{C} :Sources:MSScript.c -o {Targ} {COptions}

"{ObjDir68K}MSUtils.c.o"  {MondoBuild} :Sources:MSUtils.c
	{C} :Sources:MSUtils.c -o {Targ} {COptions}

"{ObjDir68K}MSWindow.c.o"  {MondoBuild} :Sources:MSWindow.c
	{C} :Sources:MSWindow.c -o {Targ} {COptions}

